Bug 99104 - gimp sometimes crashes when doing a cut after a selection shrink
gimp sometimes crashes when doing a cut after a selection shrink
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gimp (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-14 12:10 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-26 10:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2003-07-14 12:10:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.11 (X11; Linux i686; U;) Gecko/20030609

Description of problem:
Gimp sometimes crashes when doing a cut after a selection shrink. I am doing the
shrink and cut to give selection area of an image a border to highlight them in
a tutorial. It seems to be nptl related in that it doesn't seem to happen if I
use "export LD_ASSUME_KERNEL=2.4.19" first. Without the export it would seem to
do it after at most 4-5 images. With the export I did at least 10 without a problem.

Here is a backtrace from gdb:

#0  0x08179302 in tile_detach ()
#1  0x08179864 in tile_manager_destroy ()
#2  0x080e5750 in edit_cut ()
#3  0x080e6076 in global_edit_cut ()
#4  0x400b6e98 in gtk_item_factory_new () from /usr/lib/libgtk-1.2.so.0
#5  0x400c9ff6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#6  0x40102015 in gtk_signal_remove_emission_hook () from /usr/lib/libgtk-1.2.so.0
#7  0x4010116d in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
#8  0x400feab2 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#9  0x4014019d in gtk_widget_activate () from /usr/lib/libgtk-1.2.so.0
#10 0x400d3f04 in gtk_menu_shell_activate_item () from /usr/lib/libgtk-1.2.so.0
#11 0x400d2fb7 in gtk_menu_shell_deactivate () from /usr/lib/libgtk-1.2.so.0
#12 0x400c9c26 in gtk_marshal_BOOL__POINTER () from /usr/lib/libgtk-1.2.so.0
#13 0x401011b2 in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
#14 0x400feab2 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#15 0x4013fe4a in gtk_widget_event () from /usr/lib/libgtk-1.2.so.0
#16 0x400c9a6f in gtk_propagate_event () from /usr/lib/libgtk-1.2.so.0
#17 0x400c87f4 in gtk_main_do_event () from /usr/lib/libgtk-1.2.so.0
#18 0x40188f15 in gdk_wm_protocols_filter () from /usr/lib/libgdk-1.2.so.0
#19 0x401bd9ae in g_get_current_time () from /usr/lib/libglib-1.2.so.0
#20 0x401bde89 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
#21 0x401be124 in g_main_run () from /usr/lib/libglib-1.2.so.0
#22 0x400c827f in gtk_main () from /usr/lib/libgtk-1.2.so.0
#23 0x08123d83 in main ()
#24 0x420156a4 in __libc_start_main () from /lib/tls/libc.so.6


Version-Release number of selected component (if applicable):
gimp-1.2.3-16

How reproducible:
Sometimes

Steps to Reproduce:
1. Start X
2. Start Gimp
3. Select the File menu
4. Select Acquire
5. Select Screen shot
6. Select Single Window
7. Select With Decorations
8. Set the delay to 0
9. Click OK
10. Click on a window.  (Note I happen to be using a Galeon window that was
sized to 640x480 exactly, but the images end up slightly bigger because of the
decorations)
11. Right click and Select the Layers menu
12. Select Layers, Channels, and Paths
13. Right click on the Layers, Channels, and Paths window
14. Select New Layer
15. Select the box selection tool
16. Select an area of the image
17. Fill area with the fill tool
18. Right click on the image and select the Select menu
19. Select the shrink option
20. Select to pixels
21. Select enter 2
22. Select Shrink from image border
23. Click OK
24. Right click and select the Edit menu
25. Select Cut

Actual Results:  Sometimes it crashes and something like "Gimp seg faults"
scrolls across the terminal window if Gimp was run from one

Expected Results:  To cut out the part of the layer inside the selection two
pixels in every time.

Additional info:
Comment 1 Matt Wilson 2003-07-14 12:19:57 EDT
Please install http://people.redhat.com/msw/gimp-debuginfo-1.2.3-16.i386.rpm and
get another backtrace from gdb.
Comment 2 Nathan G. Grennan 2003-07-14 13:38:38 EDT
I couldn't reproduce the bug after installing debuginfo, and I did make sure
LD_ASSUME_KERNEL wasn't set.

I did run into two other crashes. One was when clicking to make a screen shot. I
didn't get a backtrace on it because I had forgotten to start gimp with gdb. The
other crash was on the close of an image. I clicked close and it crashed.

Here is the gdb backtrace for that crash:

#0  0x42074bfe in malloc_consolidate () from /lib/tls/libc.so.6
#1  0x42074ae8 in _int_free () from /lib/tls/libc.so.6
#2  0x42073786 in free () from /lib/tls/libc.so.6
#3  0x401bede3 in g_free () from /usr/lib/libglib-1.2.so.0
#4  0x081791c9 in tile_alloc ()
#5  0x08179864 in tile_manager_destroy ()
#6  0x08195b34 in gimp_drawable_deallocate ()
#7  0x0808578a in channel_delete ()
#8  0x400c9ff6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#9  0x401011b2 in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
#10 0x400feab2 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#11 0x400df18f in gtk_object_destroy () from /usr/lib/libgtk-1.2.so.0
#12 0x400df0ec in gtk_object_destroy () from /usr/lib/libgtk-1.2.so.0
#13 0x400e1996 in gtk_object_unref () from /usr/lib/libgtk-1.2.so.0
#14 0x400df7d5 in gtk_object_sink () from /usr/lib/libgtk-1.2.so.0
#15 0x08196bbd in gimp_image_free_shadow ()
#16 0x400c9ff6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#17 0x401011b2 in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
#18 0x400feab2 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#19 0x400df18f in gtk_object_destroy () from /usr/lib/libgtk-1.2.so.0
#20 0x400df0ec in gtk_object_destroy () from /usr/lib/libgtk-1.2.so.0
#21 0x400e1996 in gtk_object_unref () from /usr/lib/libgtk-1.2.so.0
#22 0x080cb8ce in gdisplay_new ()
#23 0x400c9ff6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#24 0x40102015 in gtk_signal_remove_emission_hook () from /usr/lib/libgtk-1.2.so.0
#25 0x4010116d in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
#26 0x400feab2 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#27 0x400df18f in gtk_object_destroy () from /usr/lib/libgtk-1.2.so.0
#28 0x40144994 in gtk_widget_get_default_visual () from /usr/lib/libgtk-1.2.so.0
#29 0x40147cb6 in gtk_window_reposition () from /usr/lib/libgtk-1.2.so.0
#30 0x400df0ec in gtk_object_destroy () from /usr/lib/libgtk-1.2.so.0
#31 0x4013bd88 in gtk_widget_destroy () from /usr/lib/libgtk-1.2.so.0
#32 0x081a847d in gimp_query_boolean_box ()
#33 0x400c9ff6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#34 0x40102015 in gtk_signal_remove_emission_hook () from /usr/lib/libgtk-1.2.so.0
#35 0x4010116d in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
#36 0x400feab2 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#37 0x40056dd0 in gtk_button_clicked () from /usr/lib/libgtk-1.2.so.0
#38 0x4005878b in gtk_button_get_relief () from /usr/lib/libgtk-1.2.so.0
#39 0x400c9ff6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#40 0x4010107e in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
#41 0x400feab2 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#42 0x40056ce0 in gtk_button_released () from /usr/lib/libgtk-1.2.so.0
#43 0x40057fc1 in gtk_button_get_relief () from /usr/lib/libgtk-1.2.so.0
#44 0x400c9c26 in gtk_marshal_BOOL__POINTER () from /usr/lib/libgtk-1.2.so.0
#45 0x401011b2 in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
#46 0x400feab2 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#47 0x4013fe4a in gtk_widget_event () from /usr/lib/libgtk-1.2.so.0
#48 0x400c9a6f in gtk_propagate_event () from /usr/lib/libgtk-1.2.so.0
#49 0x400c87f4 in gtk_main_do_event () from /usr/lib/libgtk-1.2.so.0
#50 0x40188f15 in gdk_wm_protocols_filter () from /usr/lib/libgdk-1.2.so.0
#51 0x401bd9ae in g_get_current_time () from /usr/lib/libglib-1.2.so.0
#52 0x401bde89 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
#53 0x401be124 in g_main_run () from /usr/lib/libglib-1.2.so.0
#54 0x400c827f in gtk_main () from /usr/lib/libgtk-1.2.so.0
#55 0x08123d83 in main ()
#56 0x420156a4 in __libc_start_main () from /lib/tls/libc.so.6
Comment 3 Nathan G. Grennan 2003-07-23 18:34:20 EDT
I have since upgrade to Severn, and gimp is even worse. Plus LD_ASSUME_KERNEL no
longer helps. It seems to crash more often doing just about anything. I did find
doing a certain sequence related to the screenshots caused it to crash every time.
Comment 4 Nils Philippsen 2004-02-21 11:40:59 EST
Package maintainership changed.
Comment 5 Nils Philippsen 2004-05-26 10:05:46 EDT
Closing as RHL9 is end-of-lifed.

You can do one (or both) of the following:

- Check whether the bug still exists in current GIMP of Fedora Core
- Raise your bug with Fedora Legacy (www.fedoralegacy.org)

Note You need to log in before you can comment on or make changes to this bug.